' This script is for adding a toolbar button in Test Lab to set the environment
' for all Test instances in a Test Set. See the Quality Center Installation 
' Guide for details.

Function ActionCanExecute(ActionName)
  On Error Resume Next

  If ActionName = "UserDefinedActions.TestLab_GHTesterEnv" Then
    If IsObject(TDConnection) Then
      Set TSTestFactory = Actions.TSTestFactory
      Set TSTest = TSTestFactory.Item(TestSetTest_Fields("TC_TESTCYCL_ID").value)
      Set dlg = CreateObject("GHTester_ExecConfig.EnvSelectionHelper")
      If IsObject(TSTest) Then
         dlg.EnvironmentDialog TDConnection, TSTest
      Else
         MsgBox "No test was selected. Please select a Test instance in a Test Set's Execution Grid and try again.", 48, "No Test Selected"
      End If
    End If
  End If

  ActionCanExecute = DefaultRes
  On Error GoTo 0
End Function

Function DefaultRes
  On Error Resume Next

  DefaultRes = True
  On Error GoTo 0
End Function

Function CanLogin(DomainName, ProjectName, UserName)
  On Error Resume Next

  CanLogin = DefaultRes
  On Error GoTo 0
End Function

Function CanLogout
  On Error Resume Next

  CanLogout = DefaultRes
  On Error GoTo 0
End Function
